import 'package:flutter/material.dart';
import 'package:test_sa/new_views/app_style/app_color.dart';

import '../models/size_config.dart';

extension IntExtensions on int {
  Widget get height => SizedBox(height: toScreenHeight);

  Widget get width => SizedBox(width: toScreenWidth);

  Widget get divider => Divider(height: toScreenHeight, thickness: toScreenHeight, color: AppColor.neutral30);

  Widget get makeItSquare => SizedBox(width: toScreenWidth, height: toScreenWidth);

  double get toScreenHeight => (this / 932) * SizeConfig.screenHeight;

  double get toScreenWidth => (this / 430) * SizeConfig.screenWidth;
}
